GDB (xrefs)

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
mapped_index_base Struct Referenceabstract
Inheritance diagram for mapped_index_base:

## Public Member Functions
virtual size_t | symbol_name_count () const =0
virtual const char * | symbol_name_at (offset_type idx) const =0
virtual bool | symbol_name_slot_invalid (offset_type idx) const
void | build_name_components ()
std::pair< std::vector< name_component >::const_iterator, std::vector< name_component >::const_iterator > | find_name_components_bounds (const lookup_name_info &ln_no_params) const

## Public Attributes
std::vector< name_component > | name_components
enum case_sensitivity | name_components_casing

## Protected Member Functions
| ~mapped_index_base ()=default

## Detailed Description

Definition at line 240 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ ~mapped_index_base()

mapped_index_base::~mapped_index_base | ( |  | ) |
| protected default

## Member Function Documentation

## ◆ build_name_components()

void mapped_index_base::build_name_components | ( |  | ) |

Definition at line 4710 of file dwarf2read.c.

References case_sensitive_on, cp_find_first_component(), gdb_assert, name_component::idx, name, name_components, name_components_casing, name_component::name_offset, symbol_name_at(), symbol_name_count(), and symbol_name_slot_invalid().

Referenced by dw2_expand_symtabs_matching_symbol().

## ◆ find_name_components_bounds()

std::pair< std::vector< name_component >::const_iterator, std::vector< name_component >::const_iterator > mapped_index_base::find_name_components_bounds | ( | const lookup_name_info & | ln_no_params | ) | const

Definition at line 4638 of file dwarf2read.c.

References case_sensitive_on, lookup_name_info::completion_mode(), lookup_name_info::cplus(), name_component::idx, demangle_for_lookup_info::lookup_name(), make_sort_after_prefix_name(), name, name_component::name_offset, and string.

Referenced by dw2_expand_symtabs_matching_symbol().

## ◆ symbol_name_at()

virtual const char* mapped_index_base::symbol_name_at | ( | offset_type | idx | ) | const
| pure virtual

Implemented in mapped_debug_names, and mapped_index.

Referenced by build_name_components(), and dw2_expand_symtabs_matching_symbol().

## ◆ symbol_name_count()

virtual size_t mapped_index_base::symbol_name_count | ( |  | ) | const
| pure virtual

Implemented in mapped_debug_names, and mapped_index.

Referenced by build_name_components().

## ◆ symbol_name_slot_invalid()

virtual bool mapped_index_base::symbol_name_slot_invalid | ( | offset_type | idx | ) | const
| inline virtual

Reimplemented in mapped_index.

Definition at line 257 of file dwarf2read.c.

Referenced by build_name_components().

## Member Data Documentation

## ◆ name_components

std::vector<name_component> mapped_index_base::name_components

Definition at line 244 of file dwarf2read.c.

Referenced by build_name_components().

## ◆ name_components_casing

enum case_sensitivity mapped_index_base::name_components_casing

Definition at line 247 of file dwarf2read.c.

Referenced by build_name_components().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c